<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="DoxyPress 1.2.10"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Accessories: PortTwoPinsEnable Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxypress.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by DoxyPress -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Accessories
   </div>
   <div id="projectbrief">Arduino for motors and lights library.</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by DoxyPress 1.2.10 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classPortTwoPinsEnable.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="classPortTwoPinsEnable-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">PortTwoPinsEnable Class Reference</div>  </div>
  <div class="clear-floats"></div>
</div><!--header-->
<div class="contents">

<p><code>#include &quot;<a class="el" href="PortTwoPinsEnable_8hpp_source.html">PortTwoPinsEnable.hpp</a>&quot;</code></p>
<div class="dynheader">
Inheritance diagram for PortTwoPinsEnable:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classPortTwoPinsEnable.png" usemap="#PortTwoPinsEnable_map" alt=""/>
  <map id="PortTwoPinsEnable_map" name="PortTwoPinsEnable_map">
<area href="classPortTwoPins.html" alt="PortTwoPins" shape="rect" coords="0,56,121,80"/>
<area href="classPort.html" alt="Port" shape="rect" coords="0,0,121,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a53730544356887941615c2dcecc47a15"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#a53730544356887941615c2dcecc47a15">PortTwoPinsEnable</a> ()</td></tr>
<tr class="separator:a53730544356887941615c2dcecc47a15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ace42491faa51d0ecd1b3d29fa06d3666"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#ace42491faa51d0ecd1b3d29fa06d3666">begin</a> (int inPinA, int inPinB, PIN_TYPE inType, int inPinEnable, PIN_TYPE inTypeEnable)</td></tr>
<tr class="separator:ace42491faa51d0ecd1b3d29fa06d3666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5ba0378a63752f7112deca595be19df"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#ab5ba0378a63752f7112deca595be19df">GetPinEnable</a> () const </td></tr>
<tr class="separator:ab5ba0378a63752f7112deca595be19df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8e47ea6e52c7c770c2daa9fff262d397"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#a8e47ea6e52c7c770c2daa9fff262d397">GetDIOPinEnable</a> () const </td></tr>
<tr class="separator:a8e47ea6e52c7c770c2daa9fff262d397"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2b424834184dbc468976ee24ef11a25d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#a2b424834184dbc468976ee24ef11a25d">MoveLeftDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a2b424834184dbc468976ee24ef11a25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4a5631811961b21f0167e6defca53aa7"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#a4a5631811961b21f0167e6defca53aa7">MoveRightDir</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a4a5631811961b21f0167e6defca53aa7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afd93143e4445f5751d3cd504e76ebc2f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#afd93143e4445f5751d3cd504e76ebc2f">MoveStop</a> ()</td></tr>
<tr class="separator:afd93143e4445f5751d3cd504e76ebc2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classPortTwoPins"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classPortTwoPins')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classPortTwoPins.html">PortTwoPins</a></td></tr>
<tr class="memitem:a284ad13d89614b4397ea98bfb41eaad2 inherit pub_methods_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#a284ad13d89614b4397ea98bfb41eaad2">PortTwoPins</a> ()</td></tr>
<tr class="separator:a284ad13d89614b4397ea98bfb41eaad2 inherit pub_methods_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa526f267045a5a3b1290bd81e80eaca4 inherit pub_methods_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#aa526f267045a5a3b1290bd81e80eaca4">begin</a> (int inPinA, int inPinB, PIN_TYPE inType)</td></tr>
<tr class="separator:aa526f267045a5a3b1290bd81e80eaca4 inherit pub_methods_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7837528c0cc8cc18d1d4a296407ab7a7 inherit pub_methods_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#a7837528c0cc8cc18d1d4a296407ab7a7">IsActive</a> () const </td></tr>
<tr class="separator:a7837528c0cc8cc18d1d4a296407ab7a7 inherit pub_methods_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1df61a42c032f2d9a6c5a7c42cc6c5b9 inherit pub_methods_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#a1df61a42c032f2d9a6c5a7c42cc6c5b9">GetPinA</a> () const </td></tr>
<tr class="separator:a1df61a42c032f2d9a6c5a7c42cc6c5b9 inherit pub_methods_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc2c94094d20ee4af05efba26f3f5dbb inherit pub_methods_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#adc2c94094d20ee4af05efba26f3f5dbb">GetDIOPinA</a> () const </td></tr>
<tr class="separator:adc2c94094d20ee4af05efba26f3f5dbb inherit pub_methods_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a03e586b8f8b95b6286b4d25bbf2cab0a inherit pub_methods_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#a03e586b8f8b95b6286b4d25bbf2cab0a">GetPinB</a> () const </td></tr>
<tr class="separator:a03e586b8f8b95b6286b4d25bbf2cab0a inherit pub_methods_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc54cca3eb8696168eaee892c96a6f6e inherit pub_methods_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">GPIO_pin_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#abc54cca3eb8696168eaee892c96a6f6e">GetDIOPinB</a> () const </td></tr>
<tr class="separator:abc54cca3eb8696168eaee892c96a6f6e inherit pub_methods_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2cfb70a4b6d730e715042d646ec1d960">Port</a> ()</td></tr>
<tr class="separator:a2cfb70a4b6d730e715042d646ec1d960 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a110847fdec661d0e94a3a22edd9fe32a">begin</a> ()</td></tr>
<tr class="separator:a110847fdec661d0e94a3a22edd9fe32a inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a101241b7b8e820f3d0da3c435ad1b66e inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a101241b7b8e820f3d0da3c435ad1b66e">beginByAccessory</a> (int inStartingPosition)</td></tr>
<tr class="separator:a101241b7b8e820f3d0da3c435ad1b66e inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a99e8526fed0e88d9f553767ef30860df">GetPinType</a> () const </td></tr>
<tr class="separator:a99e8526fed0e88d9f553767ef30860df inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a56425e29545c1c169c7efd76e6bf411c">GetState</a> () const </td></tr>
<tr class="separator:a56425e29545c1c169c7efd76e6bf411c inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#aed93eb0b1e3fcb88843f6c5606d55621">GetSpeed</a> () const </td></tr>
<tr class="separator:aed93eb0b1e3fcb88843f6c5606d55621 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a676359ed59bf5091126fd96e1a04cafa">SetSpeed</a> (int inSpeed)</td></tr>
<tr class="separator:a676359ed59bf5091126fd96e1a04cafa inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a365a8f66d81dd6a422868b1368845e23">IsLeftDir</a> () const </td></tr>
<tr class="separator:a365a8f66d81dd6a422868b1368845e23 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a879a1cf8248f8c34b28f4125beb91a2d">IsRightDir</a> () const </td></tr>
<tr class="separator:a879a1cf8248f8c34b28f4125beb91a2d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a3546799f364d76e7a15415566a3b0c0d">IsStopped</a> () const </td></tr>
<tr class="separator:a3546799f364d76e7a15415566a3b0c0d inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a6af50e48788eedf1a4a95122082643">MoveLeftDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:a8a6af50e48788eedf1a4a95122082643 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ac78e0a5b72fc16c1240cecb5d6fe2f7f">MoveRightDir</a> (unsigned long inDuration, int inSpeed)</td></tr>
<tr class="separator:ac78e0a5b72fc16c1240cecb5d6fe2f7f inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a2372de3e7c26ba23f5977658c71888b7">MoveToggle</a> (unsigned long inDuration = 0)</td></tr>
<tr class="separator:a2372de3e7c26ba23f5977658c71888b7 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a960a487c2833fc23e9285a7615f41379 inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a960a487c2833fc23e9285a7615f41379">MovePosition</a> (unsigned long inDuration, int inEndPosition)</td></tr>
<tr class="separator:a960a487c2833fc23e9285a7615f41379 inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a807af3bdcf2f4bba25d4dd318601001c inherit pub_methods_classPort"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a807af3bdcf2f4bba25d4dd318601001c">GetPosition</a> ()</td></tr>
<tr class="separator:a807af3bdcf2f4bba25d4dd318601001c inherit pub_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr class="memitem:a560e6f9d7b54f819406f24a7c89049dd"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#a560e6f9d7b54f819406f24a7c89049dd">pinEnable</a></td></tr>
<tr class="separator:a560e6f9d7b54f819406f24a7c89049dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8879570799f73285dbf4f845afadd02"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPinsEnable.html#ab8879570799f73285dbf4f845afadd02">pinTypeEnable</a></td></tr>
<tr class="separator:ab8879570799f73285dbf4f845afadd02"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classPortTwoPins"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classPortTwoPins')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classPortTwoPins.html">PortTwoPins</a></td></tr>
<tr class="memitem:af91b064f4feedd3a21dfcd6b383b94f7 inherit pro_attribs_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#af91b064f4feedd3a21dfcd6b383b94f7">pinA</a></td></tr>
<tr class="separator:af91b064f4feedd3a21dfcd6b383b94f7 inherit pro_attribs_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5a0361f93f9c6a4850d852ae3320d0d inherit pro_attribs_classPortTwoPins"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPortTwoPins.html#ac5a0361f93f9c6a4850d852ae3320d0d">pinB</a></td></tr>
<tr class="separator:ac5a0361f93f9c6a4850d852ae3320d0d inherit pro_attribs_classPortTwoPins"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PIN_TYPE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad7ef0d65cab5721a7e2d9b2a71663eef">pinType</a></td></tr>
<tr class="separator:ad7ef0d65cab5721a7e2d9b2a71663eef inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">PORT_STATE&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad71ca654c312fdec59194e393411fce0">state</a></td></tr>
<tr class="separator:ad71ca654c312fdec59194e393411fce0 inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8a53f78f0221c753527a92cb9cb0f68f">speed</a></td></tr>
<tr class="separator:a8a53f78f0221c753527a92cb9cb0f68f inherit pro_attribs_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classPort"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classPort')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classPort.html">Port</a></td></tr>
<tr class="memitem:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a87373fe4ced21a4bcc61a0d66153f754">MapValue</a> (int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a87373fe4ced21a4bcc61a0d66153f754 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#ad5c7ecf52b369e61dcc1353b81532bf5">beginPin</a> (int inPin, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:ad5c7ecf52b369e61dcc1353b81532bf5 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classPort.html#a8d01bcb7d500d5bc3d18c7665123c942">MovePin</a> (int inPin, int inValue, PIN_TYPE inType = UNDEFINED) const </td></tr>
<tr class="separator:a8d01bcb7d500d5bc3d18c7665123c942 inherit pro_methods_classPort"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class describes a variant or the <a class="el" href="classPortTwoPins.html">PortTwoPins</a> class. There is the two originals pins from the base class, but there is also a new pin to enable the full port. </p>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8hpp_source.html#l00011">11</a> of file <a class="el" href="PortTwoPinsEnable_8hpp_source.html">PortTwoPinsEnable.hpp</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a53730544356887941615c2dcecc47a15"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">PortTwoPinsEnable::PortTwoPinsEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Default constructor. </p>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8cpp_source.html#l00009">9</a> of file <a class="el" href="PortTwoPinsEnable_8cpp_source.html">PortTwoPinsEnable.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="ace42491faa51d0ecd1b3d29fa06d3666"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void PortTwoPinsEnable::begin </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPinA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPinB</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inType</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>inPinEnable</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">PIN_TYPE&#160;</td>
          <td class="paramname"><em>inTypeEnable</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Initialize the instance. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inPinA</td><td>first pin to drive. </td></tr>
    <tr><td class="paramname">inPinB</td><td>second pin to drive. </td></tr>
    <tr><td class="paramname">inType</td><td>kind of both pins. </td></tr>
    <tr><td class="paramname">inPinEnable</td><td>enable pin. </td></tr>
    <tr><td class="paramname">inTypeEnable</td><td>kind of enable pin. </td></tr>
  </table>
  </dd>
</dl>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8cpp_source.html#l00013">13</a> of file <a class="el" href="PortTwoPinsEnable_8cpp_source.html">PortTwoPinsEnable.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a8e47ea6e52c7c770c2daa9fff262d397"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GPIO_pin_t PortTwoPinsEnable::GetDIOPinEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the enable pin. </p><dl class="section return"><dt>Returns</dt><dd>Pin A number in DIO2 mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8hpp_source.html#l00044">44</a> of file <a class="el" href="PortTwoPinsEnable_8hpp_source.html">PortTwoPinsEnable.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab5ba0378a63752f7112deca595be19df"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortTwoPinsEnable::GetPinEnable </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Gets the enable pin. </p><dl class="section return"><dt>Returns</dt><dd>pin number in Arduino mode. </dd></dl>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8hpp_source.html#l00040">40</a> of file <a class="el" href="PortTwoPinsEnable_8hpp_source.html">PortTwoPinsEnable.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="a2b424834184dbc468976ee24ef11a25d"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortTwoPinsEnable::MoveLeftDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_LEFT. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to left for the given delay. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classPortTwoPins.html#a00dcd15ca6b74360c7858141bf4a30c7">PortTwoPins</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8cpp_source.html#l00023">23</a> of file <a class="el" href="PortTwoPinsEnable_8cpp_source.html">PortTwoPinsEnable.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="a4a5631811961b21f0167e6defca53aa7"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortTwoPinsEnable::MoveRightDir </td>
          <td>(</td>
          <td class="paramtype">unsigned long&#160;</td>
          <td class="paramname"><em>inDuration</em> = <code>0</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_RIGHT. </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">inDuration</td><td>the pins will be activated to right for the given delay. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classPortTwoPins.html#add98e4c101e2d90bb39fb348ae312eac">PortTwoPins</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8cpp_source.html#l00052">52</a> of file <a class="el" href="PortTwoPinsEnable_8cpp_source.html">PortTwoPinsEnable.cpp</a>.</p>

</div>
</div>
<a class="anchor" id="afd93143e4445f5751d3cd504e76ebc2f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void PortTwoPinsEnable::MoveStop </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Sets the current state of the port to PORT_STOP. </p>

<p>Reimplemented from <a class="el" href="classPortTwoPins.html#a70b21b02f765b4344dbc5f913cba965f">PortTwoPins</a>.</p>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8cpp_source.html#l00081">81</a> of file <a class="el" href="PortTwoPinsEnable_8cpp_source.html">PortTwoPinsEnable.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a class="anchor" id="a560e6f9d7b54f819406f24a7c89049dd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int PortTwoPinsEnable::pinEnable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Enable pin of this port. ANALOG or ANALOG_INVERTED : Classic Arduino pin number DIGITAL or DIGITAL_INVERTED : GPIO_pin_t casted in an integer. </p>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8hpp_source.html#l00018">18</a> of file <a class="el" href="PortTwoPinsEnable_8hpp_source.html">PortTwoPinsEnable.hpp</a>.</p>

</div>
</div>
<a class="anchor" id="ab8879570799f73285dbf4f845afadd02"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">PIN_TYPE PortTwoPinsEnable::pinTypeEnable</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p>Enable pin type. In case of ANALOG or ANALOG_INVERTED this pin is used to give the PWM speed. </p>

<p class="definition">Definition at line <a class="el" href="PortTwoPinsEnable_8hpp_source.html#l00022">22</a> of file <a class="el" href="PortTwoPinsEnable_8hpp_source.html">PortTwoPinsEnable.hpp</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortTwoPinsEnable_8hpp_source.html">PortTwoPinsEnable.hpp</a></li>
<li>D:/Mes documents/Trusty/Arduino/Libraries/Accessories/src/<a class="el" href="PortTwoPinsEnable_8cpp_source.html">PortTwoPinsEnable.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- Generated by DoxyPress 1.2.10 -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="classPortTwoPinsEnable.html">PortTwoPinsEnable</a></li>
    <li class="footer">Generated on mer. oct. 18 2017 17:44:46 for Accessories &nbsp; by
    <a href="http://www.copperspice.com/documentation-doxypress.html">
    <img class="footer" src="doxypress.png" alt="DoxyPress"/></a> 1.2.10 </li>
  </ul>
</div>
</body>
</html>
